### Method

# GtkSource View get_mark_attributes

#### Declaration [src]

    GtkSourceMarkAttributes*
    gtk_source_view_get_mark_attributes (
      GtkSourceView* view,
      const gchar* category,
      gint* priority
    )

#### Description [src]

Gets attributes and priority for the `category`.

#### Parameters

`category`

  Type: `const gchar*`

  The category.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`priority`

  Type: `gint*`

  Place where priority of the category will be stored.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkSourceMarkAttributes`

`GtkSourceMarkAttributes` for the `category`. The object belongs to `view`, so it must not be unreffed.

The returned data is owned by the instance.